import java.util.function.*;

public class interf_xTest
{

public static void main(String arg[])
{
class ff implements interf_x
{
public double func(double x)
{return x*x-20;}
}
ff z1=new ff();
interf_x z2 = x -> Mathd.J(0,x);
interf_x z3 = x -> x*x;
System.out.println(z1.func(6.0)+"\n"+z2.func(6.0)+"\n"+z3.func(6.0));
BiFunction<Double,Double,Double> p = (x,y)-> Math.pow(x,y);
System.out.println(p.apply(2.0,2.0));
Function<Double,Double> p1=(x) -> Mathd.J(0,x);
System.out.println(p1.apply(6.0));
}
}